% !TEX encoding = UTF-8 Unicode
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{jsl}[2020/09/15 v.1.0 House-style for the Journal of Slavic Linguistics]
\newcommand{\JSL}{\protrude\textsc{journal of slavic linguistics}}
\newcommand{\protrude}{\addfontfeature{LetterSpace=13}}
\newcommand{\revamp}[1]{\makeatletter #1 \makeatother}
\newcommand{\allsystemsgo}{\thispagestyle{empty}
\maketitle\pagebreak\linenumbers\pagestyle{subm}\setstretch{1.5}}
\LoadClass[twosided]{article}
% Pckgs
\RequirePackage[hmargin=4cm,vmargin=2.5cm]{geometry}
\RequirePackage[pagewise]{lineno}
\RequirePackage{fontspec,
				titlesec,
				microtype,
				qtree,
				fancyhdr,
				linguex,
				amsmath,
				tabularx,
				setspace,
				natbib,
				draftwatermark,
				lastpage,
				booktabs,
				forest,
				tabularx,
				polyglossia}
\useforestlibrary{linguistics}
\usepackage[colorlinks=true, citecolor=blue, linkcolor=red, urlcolor=black]{hyperref}
\setmainlanguage{english}
\RequirePackage{ifluatex}
\defaultfontfeatures{Mapping=tex-text} 
\ifluatex
	\RequirePackage{fontspec}
	\RequirePackage{unicode-math}
%	\setmathfont{TeX Gyre Pagella Math}
%	\setmainfont[Ligatures=TeX, Numbers=OldStyle]{Tex Gyre Pagella}
%	\setmonofont{Tex Gyre Cursor}
%	\setsansfont{Tex Gyre Heros}
\else
	\IfFileExists{mathpazo.sty}{\RequirePackage[osf,sc]{mathpazo}}{}
  	\IfFileExists{helvet.sty}{\RequirePackage[scaled=0.90]{helvet}}{}
  	\IfFileExists{beramono.sty}{\RequirePackage[scaled=0.85]{beramono}}{}
\RequirePackage[T1]{fontenc}
\fi
\pagestyle{fancy}
\fancypagestyle{subm}{%
    \fancyhf{}
    \fancyhead[LE]{\textbf{\thepage} / \pageref{LastPage} \hspace{1em} {\footnotesize \@title}}
    \fancyhead[RO]{{\footnotesize \@title} \hspace{1em} \textbf{\thepage} / \pageref{LastPage}}
    \fancyfoot[C]{\scriptsize{\protrude\textsc{{manuscript version as of \today} } }}
    \renewcommand\headrulewidth{0.5pt}
    \renewcommand\footrulewidth{0.5pt}}
% Shape
\revamp{
	\renewcommand{\@maketitle}{
			\normalsize Manuscript title:\par%
			{\bfseries \@title}\vspace{10pt}\par%
			{\itshape This is an anonymised submission.}\vspace{20pt}\par%
  {\rule{\linewidth}{0.5pt}}\vspace{20pt}\par%
  			{\small This file was last updated on \texttt{\today}}
		}
	}		
% H20
\SetWatermarkText{\JSL}
\SetWatermarkColor[gray]{0.8}
\SetWatermarkFontSize{0.5cm}
\SetWatermarkAngle{90}
\SetWatermarkHorCenter{20cm}